मैं "https://www.google.com" से कनेक्ट करने के लिए क्रोम वेबड्राइवर का उपयोग करना चाहता हूं। नीचे कोड है।

from selenium import webdriver  
import time  

driver = webdriver.Chrome("C:\\Users\\faisal\\library")  
driver.set_page_load_timeout(10)  
driver.get("https://www.google.com")  
driver.find_element_by_name("q").send_keys(" automation by name ")  
driver.find_element_by_name("blink").click()  
time.sleep(5)  
driver.close()  

जब मैं परीक्षण चलाता हूं, तो निम्न त्रुटि संदेश प्रदर्शित होता है। यह एक अनुमति समस्या है

C:\Users\faisal\PycharmProjects\firstSeleniumTest2\venv\Scripts\python.exe C:/Users/faisal/PycharmProjects/firstSeleniumTest2/test.py
Traceback (most recent call last):
  File "C:\Users\faisal\PycharmProjects\firstSeleniumTest2\venv\lib\site-packages\selenium\webdriver\common\service.py", line 76, in start
    stdin=PIPE)
  File "C:\Python\lib\subprocess.py", line 709, in __init__
    restore_signals, start_new_session)
  File "C:\Python\lib\subprocess.py", line 997, in _execute_child
    startupinfo)
PermissionError: [WinError 5] Access is denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:/Users/faisal/PycharmProjects/firstSeleniumTest2/test.py", line 4, in <module>
    driver = webdriver.Chrome("C:\\Users\\faisal\\library")
  File "C:\Users\faisal\PycharmProjects\firstSeleniumTest2\venv\lib\site-packages\selenium\webdriver\chrome\webdriver.py", line 68, in __init__
    self.service.start()
  File "C:\Users\faisal\PycharmProjects\firstSeleniumTest2\venv\lib\site-packages\selenium\webdriver\common\service.py", line 88, in start
    os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: 'library' executable may have wrong permissions. Please see https://sites.google.com/a/chromium.org/chromedriver/home


Process finished with exit code 1
5
faisal abdulai 1 अप्रैल 2018, 06:22

4 जवाब

सबसे बढ़िया उत्तर

C:\Users\faisal\library क्रोमेड्राइवर के लिए सही रास्ता नहीं है। अपनी क्रोमेड्रिवर फ़ाइल को वास्तविक पथ दें।

3
Joseph Sible-Reinstate Monica 1 अप्रैल 2018, 03:26

driver=webdriver.Chrome("C:\\Users\\SQA Anas\\Downloads\\chromedriver.exe")

कृपया पूरा क्रोम ड्राइवर पथ इस तरह दर्ज करें: "C:\Users\SQA Anas\Downloads\chromedriver.exe"

यह मेरे लिए काम करता है :)

0
Carlos Gonzalez 12 मार्च 2019, 13:02

मुझे Windows 10 64 bit और 32 bit chromedriver पर चलने के लिए निम्नलिखित का उपयोग करना पड़ा:

driver = webdriver.Chrome(executable_path=r'C:\\Users\\My Name\\Downloads\\chromedriver_win32\\chromedriver.exe')
0
Yatin 29 पद 2020, 13:09

निष्पादन योग्य_पथ में अंत में क्रोमेड्रिवर जोड़ा जाना चाहिए:

executable_path='/home/selenium/Linkedin-Automation/chromedriver'
0
Yatin 29 पद 2020, 12:52